== Changelog ==

= 4.7.10 [April 07, 2026] =

* FIXED
  * Improved authorization checks for media deletion to ensure only permitted users can delete media.

= 4.7.9 [January 30, 2026] =

* FIXED
  * Fixed GoDAM plugin integration issues
  * Fixed translation loading
  * Applied security fixes in dependencies

* ENHANCEMENT
  * Improved security handling for plugin integrations

= 4.7.8 [January 06, 2026] =

* ENHANCEMENT
  * Compatible with WordPress latest version 6.9
  * Compatible with PHP version 8.4
  * Updated magnific-popup library to latest version 1.2.0
  * Updated dependencies in node and composer packages to latest versions.
  * Made the overall code more robust and secure.

= 4.7.7 [December 03, 2025] =

* FIXED
  * Fix JS Build process breaking Admin dashboard.
  * Fix rtMedia compatibility with Hello Elementor theme.
  * Fix Masonry script issue in rtMedia Gallery in BuddyX theme.

* ENHANCEMENT
  * Enhanced End to End playwright testing scripts for media validation.
  * Improved rtMedia Logo visibility on dashboard.

= 4.7.6 [November 20, 2025] =

* FIXED
  * Fixed End to End playwright testing scripts for media validation.
  * Fixed minor dashboard frontend bug caused due to build process.

= 4.7.5 [November 19, 2025] =

* FIXED
  * Fixed plugin Conflict with AnsPress plugin which prevented question and answer submission.

* ENHANCEMENT
  * Made Upload and Options button in the media gallery accessible via keyboard navigation for better accessibility.

= 4.7.4 [October 30, 2025] =

* FIXED
  * Apply security recommendations and fixes.
  * Restrict the media upload by its types based on selected tab in rtMedia gallery.

* ENHANCEMENT
  * Enhances media upload support by adding a broader set of commonly used video and audio formats.
  * Replace PHP file system functions with WordPress alternative filesystem function to enhance security.

= 4.7.3 [September 12, 2025] =

* FIXED
  * Resolved jQuery Migrate dependency to prevent JS errors.

= 4.7.2 [September 02, 2025 ] =

* FIXED
  * Fixed GoDAM Player rendering issue on Multisite.
  * Fixed GoDAM Player Skins not loading on Multisite.

* ENHANCEMENTS
  * Better handling of rtMedia Notifications.
  * Updated jQuery Deprecated Methods.

= 4.7.1 [June 6, 2025] =

* FIXED
  * Fixed a critical error related to inline annotations on certain themes.
  * Resolved shimmering issue for newly uploaded media on the BuddyPress Groups page when GoDAM is active.

= 4.7.0 [June 2, 2025] =

* ENHANCEMENTS
  * Added integration with GoDAM plugin's video player.
  * Enabled support for GoDAM video player in rtMedia media gallery, BuddyPress activity stream, groups, and forums.
  * Improved handling of player enqueue conditions based on GoDAM plugin status.
  * Refined script loading to ensure compatibility across WordPress, BuddyPress, and rtMedia components.

* FIXED
  * Prevented conflicts with `mediaelement.js` when GoDAM plugin is active.
  * Deregistered conflicting scripts to ensure seamless fallback and prevent duplication in player initialization.

= 4.6.23 [April 18, 2025] =

* Fixed
	* Fixes related to WP v6.8 compatibility issues.
	* Enhanced security by updating node version and packages.

* Enhancement

	* Changed the admin notices for users on rtmedia tabs.

= 4.6.22 [January 09, 2025] =

* Fixed

  * Fixes related WP v6.7.1 compatibility issues.
  * Fixed the premium page layout in the rtMedia settings.

= 4.6.21 [September 23, 2024] =

* Fixed

  * Resolved the issue with the privacy message's close button not functioning.
  * Addressed the problem with JSON import not working.
  * Fixed errors encountered while editing document uploads.
  * Fixed issue related to videos automatically opened in full screen, hiding the activity feed in ios devices.

= 4.6.20 [August 02, 2024] =

* Fixed

  * Fixes related PHP 8.2 compatibility issues.

= 4.6.19 [April 16, 2024] =

* Fixed

	* Fixed shortcode security issue.

= 4.6.18 [January 16, 2024] =

* Fixed

 * Fixed group media issue.
 * Fix styles of search box.
 * Add compatibility with BuddyPress legacy template pack.
 * Enhance security for plugin update checker.

= 4.6.17 [January 2, 2024] =

* Enhancement

 * Compatible with WordPress latest version 6.4.2
 * Compatible with BuddyPress latest version 12.0.0

* Fixed

 * Fixed PHP compatibility issue.
 * Fixed issues related to Twenty Twenty Four theme.
 * Fix BuddyPress nouveau template issue.

= 4.6.16 [November 16, 2023] =

* Enhancement

 * Compatible with WordPress latest version 6.4

* Fixed

 * Fixed PHP deprecation warnings.
 * Fixed BuddyPress Versioning issue
 * Fixed Security issue.
 * Fixed Video player UI issues.

= 4.6.15 [September 4, 2023] =

* Fixed

 * Fixed security issue.
 * Fixed console error related to max file size.


= 4.6.14 [August 11, 2023] =

* Enhancement

 * Add an Emoji picker in the media comment box.
 * Add plugin deactivation survey form when the user deactivates the plugin.
 * Compatible with WordPress's latest version 6.3
 * Compatible with PHP 8.2.8

* Fixed

 * Fixed thumbnail height of the media.
 * Add an appropriate error message when a user tries to upload a file with an unsupported type or larger size.
 * Fixed other error messages and typos.


= 4.6.13 [December 12, 2022] =

* Enhancement

 * Compatible with WordPress latest version 6.1.1
 * Compatible with PHP 8.0.0
 * Refactored code base.

* Fixed

 * Fixed save settings not working issue.
 * Fixed media tab not visible on groups page.


= 4.6.12 [June 16, 2022] =

* Enhancement

 * Compatible with BP-Rewrites latest version.
 * Compatible with with WordPress latest version 6.0.

* Fixed

 * UI/UX Issues.
 * Fixed album count issue for non-admin user and group albums.
 * Fixed Video thumbnail issue.

= 4.6.11 [April 27, 2022] =

* Enhancement

 * UI/UX Enhancements on Forms and rtMedia settings sidebar.

* Fixed

 * UI/UX Issues.
 * Fixed media is not visible on the group page after adding a comment.
 * Twitter button share issue from rtMedia settings sidebar.
 * Fixed Post update button not working when allow upload from activity stream setting from BuddyPress tab is disabled.
 * Fixed count issue for album.

= 4.6.10 [February 17, 2022] =

* Enhancement

 * Compatible with WordPress latest version v5.9.
 * Compatible with latest version of BuddyPress v10.0.0.

* New Feature

 * Edit media option on activity stream with BuddyPress Edit Activity.

* Fixed

 * UI/UX Fixes.
 * Fix media count not updating issue.
 * Fix fatal error related to Buddypress group if it is not enabled.


= 4.6.9 [December 16, 2021] =

* Enhancement

 * Added album search functionality.
 * Added capability to group admin and mod to edit/delete the album.

* FIXED

 * UI/UX issues.
 * Able to upload media to comment if the activity steam option is disabled.
 * Fixed pagination issue.
 * Fixed RTL issues.


= 4.6.8 [October 26, 2021] =

* FIXED

 * UI/UX issues.
 * Count issues on adding/deleting media.
 * Typo in error message and multisite activity filter query.
 * Upload media from side-wide gallery.

= 4.6.7 [September 16, 2021] =

* Enhancement

 * Provided media attachment for all levels in activity comment reply
 * Compatible with WordPress v5.8.1

* FIXED

 * Removed default download button for video player
 * Blank activity generation on uploading unsupported media
 * Broken links of theme’s under rtMedia settings
 * PHP Warnings & Notices

= 4.6.6 [December 30, 2020] =

* Enhancement

 * Added fading effect for the media lightbox

* FIXED

 * UI/UX issues
 * JS errors/notices

= 4.6.5 [November 23, 2020] =

* FIXED

 * Javascript errors while editing rtMedia image
 * UI/UX issues
 * Issue with attachment when creating support ticket
 * Media not appearing in Profile/Group when uploading from BuddyPress’ sitewide activity stream

= 4.6.4 [July 16, 2020] =

* Enhancement

 * Support for Amazon S3 presigned URLs
 * Add attachment_ids in `rtmedia_after_add_media` action hook

* FIXED

 * Console errors on media editing
 * Extension getting changed when renaming media before upload
 * Activities not in sync with other subsites in a multisite network, when each subsite has a separate BuddyPress activity feed
 * PHP Notices and Warnings
 * Comment nesting issue with media activities
 * Wrong timestamp while adding comments

= 4.6.3 [April 30, 2020] =

* FIXED

 * Conflict with Yoast SEO plugin
 * Wrong Date/Time stamp for media
 * Printing JavaScript code as text when Social Sync addon is active

= 4.6.2 [April 22, 2020] =

* FIXED

 * Redirecting to admin's WallPost album
 * Preview not loading for Docs and Other files in lightbox
 * Custom css not applying when added from rtMedia settings’ custom css tab
 * Too many redirections on BuddyPress’ privacy page
 * Unable to delete media from lightbox and single media page
 * Likes on media comment not working
 * PHP errors and warning

= 4.6.1 [April 9, 2020] =

* Enhancement

 * Disable the terms of service checkbox when the activity is published

* FIXED

 * Different language characters not showing up properly on rtMedia pages
 * HTML warnings of rtMedia contents
 * Nouveau template tab count bug
 * Added server side validation for terms of service
 * Terms of service checkbox conflicting with rtMedia Sidebar Widgets addon
 * PHPCS errors and warnings

= 4.6.0 [February 17, 2020] =

* Enhancement

 * Show long text truncated with read more option and image displayed below the truncated text on activity

* FIXED

 * Error uploading media in comments with Kleo theme
 * JavaScript errors
 * Album styling when masonry style is disabled
 * The template loaded on media page when nouveau template is set
 * Compatibility issues with PHP 7.4.1
 * UI related bugs
 * Notices and Warnings

= 4.5.11 [December 26, 2019] =

* Enhancement

 * Add better styling for albums

* FIXED

 * Redirection popup on Media upload in Activity stream

= 4.5.10 [December 26, 2019] =

* FIXED

 * Warnings on Support page of rtMedia Settings
 * Issue with rtMedia Update filter on BuddyPress activity wall

= 4.5.9 [October 29, 2019] =

* Enhancement

 * Add new class on activity page based on the uploaded media type

* FIXED

 * Post Update button issue with BuddyPress Nouveau template
 * Issue when user uploads the media with link in comment on buddypress activity

= 4.5.8 [August 6, 2019] =

* FIXED

 * Duplicate media creation when posted from lightbox and activity creation for media comments kept off from settings
 * Upload terms and direct upload compatibility while commenting from activity
 * Overlapped media file name in BuddyPress Legacy template
 * Issue with uploader container which gets hidden after media upload on activity page
 * Fix default theme css enqueue for BuddyPress templates.
 * Minor UI bug Fixes

= 4.5.7 [June 12, 2019] =

* NEW

 * Add new filter to remove the media upload button from the activity [Doc](https://rtmedia.io/docs/developers/hooks/rtmedia-enable-activity-media-upload/)
 * Add new filter to change the order of the media and text on the activity page [Doc](https://rtmedia.io/docs/developers/hooks/rtmedia-activity-content-html/)

* FIXED

 * Duplicate media comment issue on Activity page
 * Add title attribute for Media Likes
 * Improve UI of Media Page title
 * Issue of entering text in text area when Direct Upload and Upload terms enabled together
 * UI of pagination button height and text field
 * Export/Import button issue in Firefox browser
 * Issue of direct upload and media was not opening in lightbox with TwentySeventeen theme v2.1
 * Empty space issue for generated activity when media is uploaded without adding text
 * Other Errors, Warnings and notices
 * Group Activity media are not shown in Group Media tab with BuddyPress Nouveau Template
 * User’s name autosuggestion
 * Issue with multiple file upload from activity with non admin user account

= 4.5.6 [February 18, 2019] =

* FIXED

 * Threaded comment and comment count issue with BuddyPress Profile and Group Activity feed.
 * Duplicate activity feed comment issue.
 * Edited Media size reflection issue in BuddyPress activity feed.

= 4.5.5 [January 22, 2019] =

* FIXED

 * Gallery Media search with space in media name.
 * Add Friend button on media tab and UI fixes.
 * Masonry UI disorder for media with thumbnail.
 * UI issues in lightbox view of single media.
 * Anchor tag issue for activity generated after adding media.
 * Media upload issue on posting public messages.
 * UI for Member name in media tab.
 * Issue with redirect attribute value in uploader shortcode.
 * Issue with posting activity updates when terms and conditions is enabled.
 * Issue with upload terms when sidebar widget is active on activity page.
 * Issue with ‘rtmedia_no_media_found_message_filter’ functionality.

= 4.5.4 [October 17, 2018] =

* FIXED

 * Load More button issue with BuddyPress activity feed.
 * Non authorized pdf files on WordPress uploads directory.

= 4.5.3 [October 11, 2018] =

* FIXED

 * Default album deletion issue for personal data erase request
 * Media privacy issue while editing media under moderation
 * Broken media URL with multisite [Doc](https://rtmedia.io/docs/features/upload-media/#activity-stream-for-multisite)
 * Lightbox scroll in mobile devices
 * The issue with Load more button showing when there are no BuddyPress activities
 * Media privacy issue with BuddyPress Nouveau template
 * Compatibility of BuddyPress activity media upload section with Nouveau template
 * "Read More" link issue on BuddyPress Activity post with the Nouveau template
 * Upload terms error message visibility issue with rtMedia uploader using BuddyPress legacy template
 * "media_title" attribute issue with uploader shortcode
 * Updated correct support link on plugin's support tab
 * Disabled Post Update button issue while adding BuddyPress Public Message post
 * An issue for the "redirect" attribute used with uploader shortcode
 * Warnings and Notices

= 4.5.2 [July 11, 2018] =

* NEW

 * Added JavaScript hook to handle uploader slide event [Doc](https://rtmedia.io/docs/developers/hooks/rtmedia-js-hooks/#rtmediajsuploaderslideaftergalleryreload)

* ENHANCEMENT

 * Added translation support for “Search Media” string

* FIXED

 * PHP notices
 * JavaScript issue with Upload terms
 * Issue with media privacy and search caused by conditional check for Nouveau template
 * Nouveau template issue with the error message of Upload terms in BuddyPress Activity stream

= 4.5.1 [June 20, 2018] =

* FIXED

 * Empty textbox validation under the terms settings
 * Minor bugs

= 4.5.0 [June 19, 2018] =

* NEW

 * Updated BuddyPress templates for [version 3.0.0](https://wordpress.org/plugins/buddypress/)
 * Added functionality to Import/Export rtMedia admin settings [Doc](https://rtmedia.io/docs/features/export-import-rtmedia-settings/)
 * Integrated with new personal data Erase/Export tools in WordPress 4.9.6 [Doc](https://rtmedia.io/docs/features/gdpr-export-erase-personal-data/)
 * Added upload terms premium feature to rtMedia core with this version [Doc](https://rtmedia.io/docs/features/upload-terms/)
 * Added admin setting to show optional privacy notice to users [Doc](https://rtmedia.io/docs/features/upload-terms/#show-privacy-message-on-the-website)
 * Added filter to change background color, text color and position of privacy message strip [Doc](https://rtmedia.io/docs/developers/hooks/rtm_privacy_bar_position/)
 * Added rtMedia specific privacy information for a site’s privacy policy
 * Removed affiliate support with this version
 * Added filter to change position of group media tab [Doc](https://rtmedia.io/docs/developers/hooks/rtmedia_group_media_tab_position/)
 * Added filter to modify text of Media tab [Doc](https://rtmedia.io/docs/developers/hooks/rtmedia_media_tab_name/)

* ENHANCEMENT

 * Improved performance by adding conditional check before enqueuing scripts and styles

* FIXED

 * PHP notice and warnings
 * Fix issue while WordPress user deletion on multi-site setup
 * Load more button issue under the Music tab

= 4.4.8 [May 22, 2018] =

* FIXED

 * Fix issue with latest BuddyPress release.

= 4.4.7 [April 18, 2018] =

* ENHANCEMENTS

 * Set auto focus for key field on the Licenses Page
 * Improved media count display for large numbers

* FIXED

 * Gallery swipe gesture with all the WordPress themes older than Twenty Fifteen
 * Media player height issue on single media page for video
 * Media gallery conflict with rtMedia Upload By URL
 * Conflict of empty comment check with other validation message location
 * PHP notice and warnings

= 4.4.6 [March 22, 2018] =

* NEW

 * Added intuitive left-right swipe gesture guide while opening gallery for the first time on mobile

* ENHANCEMENTS

 * Added filter to customize existing progress bar [Doc](https://rtmedia.io/docs/developers/hooks/rtmedia-js-hooks/#rtmcustomprogressbarcontent)
 * Improved edit media process with single save button

* FIXED

  * PHP notice and warnings
  * Visibility issue with Edit & Delete action links after first media upload
  * Added check for BuddyPress activity component while adding comment on media
  * Added check for empty comments on media
  * Added informative message while uploading media without enabling media type setting
  * BuddyPress activity media upload conflict with [rtMedia Upload Terms](https://rtmedia.io/products/rtmedia-upload-terms/)
  * Issue with rtMedia comment count under BuddyPress activity
  * Improved license verification process of rtMedia add-ons
  * Lightbox height issue with rtMedia media comments
  * UI issue with Back button on the edit media page for theme twentyseventeen
  * Option button’s visibility issue with twentyseventeen theme
  * Console warning for FireFox browser
  * UI issue for comment media upload button
  * Minor UI issues for mobile users

= 4.4.5 [January 19, 2018] =

* ENHANCEMENTS

 * Upgraded MediaElement library

= 4.4.4 [October 17, 2017] =

* FIXED

 * Media display issue if masonry view is disabled and width is set to zero
 * Upload multiple images on mobile devices
 * Improve localization, thanks to [xavivars](https://github.com/xavivars)
 * Added a check for BuddyPress Group component while using bp_before_member_header action

= 4.4.3 [August 3, 2017] =

* ENHANCEMENTS

 * Add filter to change the "alt" attribute value for photos in media gallery [Documentation](https://rtmedia.io/docs/developers/hooks/rtmc_change_alt_text/)

* FIXED

 * Unit text (MB/KB) of media size doesn't display correctly
 * Buttons UI of edit media screen for default WordPress themes
 * BuddyPress activity upload issue with Microsoft Edge
 * Notices of "Undefined offset" and "get property of non-object"
 * UI issue of media close button on Twenty Seventeen theme
 * Pagination issue with album search
 * Upload falls over while using special characters into filename
 * Fatal Error in gallery search if BuddyPress is not installed
 * Medium image size not working correctly with zero height
 * `media_title` attribute was not working for gallery shortcode

= 4.4.2 [June 30, 2017] =

* FIXED

 * Broken thumbnails in sidebar widget gallery and sorting gallery shortcode


= 4.4.1 [June 29, 2017] =

* ENHANCEMENTS

 * Replaced HTML comments '&lt;!-- --&gt;' with PHP comments '&lt;?php // ?&gt;'

* FIXED

 * Media search issue under album
 * Gallery reload issue while uploading new media under a single album page
 * Duplicate "no media found" message under media gallery
 * Cancel media search button issue under albums tab
 * PHP notice and warnings
 * UI for caret under like button
 * Load more issue for albums tab
 * Issue editing album when pagination is enabled
 * UI issue for music player when opened in the lightbox


= 4.4 [June 6, 2017] =

* NEW

 * Enabled Masonry Cascading grid layout for BuddyPress Activity feed [Documentation](https://rtmedia.io/docs/features/lightboxes-masonry/#masonry-activity-feed)
 * Added search functionality in Media Gallery [Documentation](https://rtmedia.io/docs/features/upload-media/#search-media)
 * Added album description input while creating an album [Documentation](https://rtmedia.io/docs/features/view-media/#album-description)

* ENHANCEMENTS

 * Added media description parameter in JSON API [Documentation](https://rtmedia.io/docs/developers/json-api/#media-upload)
 * Added: Filter to change the text "Are you sure you want to delete this media?" [Documentation](https://rtmedia.io/docs/developers/hooks/rtmedia_delete_prompt_message/)
 * Applied Post Update button style once the document is ready instead of window load

* FIXED

 * Audio player display issue in lightbox
 * Fixed trimming media name issue when it contains a dot in the name
 * Added missing data in debuginfo file
 * rtMedia shortcode uploader issue with IOS mobile safari browser
 * Issue while playing video on IOS safari
 * White strip-line issue in lightbox
 * Like button will display in the right sidebar of light box even when media comments are deactivated


= 4.3.2 [May 11, 2017] =

* ENHANCEMENTS

 * Added: Filter which allows replacing the text "Like/dislike" with any icon [Documentation](https://rtmedia.io/docs/developers/hooks/rtmedia_like_label_text-rtmedia_like_undo_label_text/)

* FIXED

 * Attach media button issue in comments for IOS devices
 * Inconsistent name display in the Activity stream
 * Media attachment button issue under rtMedia comment section
 * Set as Album Cover button UI issue
 * rtMedia action button alignment issue on the single media page
 * Improvise comment media admin settings
 * JavaScript error while deleting media
 * Edit media feature when BuddyPress activity stream component is disabled
 * "What's new" section not getting properly styled on page load [Documentation](https://rtmedia.io/docs/troubleshooting/post-update-upload-media-privacy-buttons-not-appearing/)

= 4.3.1 [Feb 23, 2017] =

* ENHANCEMENTS

 * Remove media titles from media tab
 * Change text in rtMedia setting for comment media
 * Added: Filter to change user id while fetching user's album list

* FIXED

 * Pagination and navigation fix in media tab
 * Warnings when uploading media in activity comment
 * Privacy for reported media in moderation

= 4.3 [Feb 14, 2017] =

* NEW FEATURES

 * Comment Media - User can upload media in comment box

* ENHANCEMENTS

 * rtMedia settings to unable or disable likes for Media
 * Attachment upload in rtMedia support form
 * Added: rtMedia Version Constant
 * Added: Action to Change rtMedia query before shortcode run
 * Added: Filter to Change Media menu position in admin bar

* FIXED

 * Bulk delete in Media library Dashboard
 * Warnings when user click on pagination
 * rtMedia gallery shortcode pagination
 * Remove unwanted fields in rtMedia support form
 * Sorting & Options issue in Media Tab
 * Comment and Like Privacy issue
 * Comment and Like for media delete issue in Group
 * Load More issue on activity and group Tab

= 4.2.1 [Dec 21, 2016] =

* FIXED

 * Security issues pointed out by James Golovich
 * Direct access of a file
 * Access rights to modify/update the rtMedia settings
 * Added validation on custom CSS before saving
 * Section fluctuation when user drags media into activity box
 * Audio / Video autoplay in Safari browser
 * JS error on media comments when activity stream is disabled from the backend
 * Media upload error when activity stream is disabled from the backend
 * Invalid license key notice appearing even when all keys are valid
 * Addon validation checks will happen every six hours (only if addons installed)
 * Changed plugin's review link to rate on WordPress.org

= 4.2 [Nov 17, 2016] =

* NEW FEATURES

 * Albums will now display media count by default
 * "@mentions" in comments added to lightbox and single media page
 * Added "Next" / "Previous" navigation links to single media page

* ENHANCEMENTS

 * rtMedia "Support" tab improvements- Directly attach a screenshot while submitting a support ticket Debug Info can now be easily downloaded as a .txt file
 * Added: "Show more comments" link in media pop-up (lightbox) and single media page
 * Added: Action to target area below media comments in lightbox or single media page
 * Added: Filter to add extra component to comments
 * Added: Filter to disallow blank text field while uploading media in Activity
 * Added: Filter to modify "Options" & "Upload" labels in Media Gallery

* FIXED

 * After uploading media, the Upload panel will now collapse
 * Incorrect pagination text display in Media tab
 * "posted an update" string not getting translated in Activity feed for posts with attached media. Added translation support for all "rtmedia_update" Activity type
 * Duplicate activity generation when "Post Update" is clicked multiple times
 * Singular/plural form of "n people liked this" string
 * BuddyPress Group Media tab not displaying in Beta version 2.7.2
 * Media description not saving properly when uploading multiple media
 * Link to comment in WordPress backend not leading back to comment
 * Video popup UI for vertical videos
 * CSS-related responsive video layout issue
 * Fixed broken "Import media sizes" anchor link in admin notice
 * Fixed "Activate License" event bug in License tab
 * Lightbox privacy symbol alignment issue

= 4.1.8 [Oct 05, 2016] =
* Fix fatal error for older PHP version

= 4.1.7 [Oct 05, 2016] =
* Change the UI of addons license tab
* Update the notice messages
* Check for the valid URL structure for compatibility with multisite
* Change string UNSET to REMOVE to improve the translation
* Fix UI/media broken on activity page
* Fix the scroll bar on the media pop screen
* Fix save settings button of manage media in group

= 4.1.6 [Sep 26, 2016] =
* Fix broken UI when image information is edited/updated
* Fix issue related to media sorting
* Divide rt-template-functions.php into four files (core functions, actions & filters)
* Fix playlist settings not getting saved in groups
* Add filters to alter the image/video URLS in activity
* Fix bootstrap css selector conflict

= 4.1.5 [Sep 15, 2016] =
* Fix issue where multiple gallery shortcode not working together
* Add filter to change 'under' album text
* Fix issue where media query not reset properly

= 4.1.4 [Sep 13, 2016] =
* Fix audio player height issue
* Fix video player fullscreen issue
* Fix the attachment URL when rtAmazon S3 is disabled

= 4.1.3 [Aug 30, 2016] =
* Fix audio/video time duration on media thumbnail

= 4.1.2 [Aug 25, 2016] =
* Update the original audio URL with transcoded audio URL in activity

= 4.1.1 [Aug 24, 2016] =
* Add backward compatibility

= 4.1 [Aug 24, 2016] =
* Remove encoding service
* Introduced new [Transcoder](https://wordpress.org/plugins/transcoder/) plugin
* Add span tag to remove duplicity of activity content on thumbnail update
* Fix notice undefined index

= 4.0.7 [Aug 17, 2016] =
* Fix Media upload using json api
* Fix media upload not working on Windows Servers
* Fix view counter not working
* Update read more media description with scroll

= 4.0.6 [Aug 01, 2016] =
* Fix read more media description in media popup
* Fix warning for pagination links
* Update products page link on Admin Dashboard widget

= 4.0.5 [Jul 25, 2016] =
* Fix bulk edit not working on delete and move
* Fix issue more and less click on media description
* Fix html markup in support tab
* Make pagination work on opening page-link in new tab
* Fix hide rtMedia template files notice after click on dismiss
* Fix for profile pic not changing on uploading photo

= 4.0.4 [Jul 08, 2016] =
* Backward compability for PHP 5.2

= 4.0.3 [Jul 05, 2016] =
* Fix filter_input warning for media in group creation
* Fix warning for video encoding
* Fix delete activity for like and comment after media delete
* Fix media uploading issue from activity for multisite

= 4.0.2 [Jun 27, 2016] =
* Fixed privacy issue in activity for BuddyPress 2.6.0
* Fixed single activity permalink issue

= 4.0.1 [Jun 23, 2016] =
* Fixed issue of wpdb prepare statement missing argument
* Fixed time conversion issue in lightbox
* Fixed context & context_id for profile media upload
* Fixed lightbox loading whole site
* Fixed Keep current tab active when traversing different media type tabs
* Removed the_content filter and used wpautop function for media description

= 4.0 [Jun 21, 2016] =
* Removed esc_html causing stripping of html tags in rtMedia featured for WordPress VIP compatibility
* Fixed BuddyPress nav items in group issue for BuddyPress 2.6 with backward compatibility
* Fixed check of class_exist for group extension for BuddyPress 2.6 compatibility

= 3.10.9 [Jun 20, 2016] =
* WordPress VIP compatibility added

= 3.10.8 [Jun 14, 2016] =
* Fixed database error when deleting comment
* Changed price for add-ons

= 3.10.7 [May 25, 2016] =
* Fixed JS issue for tabs in media edit
* Fixed CSS for twentysixteen theme
* Code cleanup
* Updated german language file

= 3.10.6 [May 03, 2016] =
* Fixed - BuddyPress group privacy now depends on group status (public, private, hidden)
* Fixed - JS issue for WordPress 4.5
* Fixed - 404 Error for titles on bbPress templates
* Fixed - Required changes done for rtmedia.io

= 3.10.5 [Mar 24, 2016] =
* Code Cleanup

= 3.10.4 [Mar 15, 2016] =
* Fixed browser title if theme has title-tag support
* Fixed the video & audio player issue for activity load more
* Fixed minor bugs

= 3.10.3 [Jan 28, 2016] =
* Fix issues

= 3.10.2 [Jan 28, 2016] =
* Fix XSS vulnerability (thanks to [Brajesh](https://profiles.wordpress.org/sbrajesh/))
* Updated Freemius SDK

= 3.10.1 [Dec 30, 2015] =
* Set media description before upload feature
* Update privacy of all attached media on update of activity privacy
* Update BuddyPress activity query filter for activity privacy

= 3.10 [Dec 22, 2015] =
* Added update BuddyPress activity privacy feature
* Added BuddyPress activity for media likes and comments feature

= 3.9.5 [Dec 11, 2015] =
* Added new filters
* Update chinese translations
* Fix rtMedia add-on broken images

= 3.9.4 [Dec 07, 2015] =
* Fixed media slug issue while deleting media
* Added new hook in album gallery template

= 3.9.3 [Nov 19, 2015] =
* Update rtMedia main template
* Fix undefined function call error

= 3.9.2 [Nov 15, 2015] =
* Update rtMedia main template
* Fix undefined JS error

= 3.9.1 [Nov 05, 2015] =
* Fix encoding service key save issue
* Added thrive theme under rtMedia 3rd party themes
* Audio/video player CSS issue fix
* Fix translation text domain
* Update chinese translations

= 3.9 [Oct 27, 2015] =
* BP Notification feature for media likes and comments
* Upload media from BP activity without activity update text
* Privacy issue fix
* Update korean and chinese language files
* Other bug fixes

= 3.8.21 [Oct 06, 2015] =
* Rename plugin text domain from 'rtmedia' to 'buddypress-media'

= 3.8.20 [Sep 29, 2015] =
* Fix getid3 related issue
* Other bug fixes

= 3.8.19 [Sep 21, 2015] =
* Fix getid3 related issue
* Added new theme: Foodmania
* New wrapper functions to upload media

= 3.8.18 [Sep 17, 2015] =
* Filter for media action text
* Updated getid3 lib to latest version

= 3.8.17 [Sep 15, 2015] =
* Fix upload dir filter
* Fix video max height in lightbox
* Fix shortcode issue with album uploader

= 3.8.16 [Aug 31, 2015] =
* Update Persian translation and add Finnish translations
* Add rtMedia SEO add-on
* Fix encoding service for music files
* Fix music file thumbnails

= 3.8.15 [Aug 18, 2015] =
* CSS fixes
* Added new filters and actions

= 3.8.14 [Aug 11, 2015] =
* Enhanced delete media action in media gallery
* CSS fixes
* Other bug fixes

= 3.8.13 [Aug 05, 2015] =
* Update links
* Added support for "og" meta tags for Yoast SEO plugin
* Update French, Spanish, Persian and German translations

= 3.8.12 [Jul 29, 2015] =
* Updated media gallery actions for BuddyPress groups
* Updated action messages for single media
* Updated view count process
* Added SCRIPT_DEBUG support
* Fixed bugs in admin settings
* Bug fixes

= 3.8.11 [Jul 22, 2015] =
* Update album edit template
* Fix BuddyPress activity content on media edit
* Autoplay video in lightbox

= 3.8.10 [Jul 16, 2015] =
* Fix BuddyPress comment filter issue
* Fix plupload max_file_size parameters

= 3.8.9 [Jul 09, 2015] =
* Fix CSS conflict with BuddyPress change profile picture

= 3.8.8 [Jul 07, 2015] =
* Fix media comment ordering
* Fix login popup
* Lightbox changes for mobile devices
* Added privacy option in uploader shortcode
* Update Dutch and Danish translations

= 3.8.7 [Jun 30, 2015] =
* Update language files
* Fix CSS conflict with BuddyPress Cover plugin in rtMedia admin settings
* Update CSS
* Added new filters
* Bug fixes

= 3.8.6 [Jun 16, 2015] =
* Fix activity music player width issue
* Fix view link in WordPress Media Library
* Fix pagination on pressing enter key
* Fix language file names for Korean(ko_KR), Serbian(sr_RS) and Tamil(ta_IN)
* Fix browser title
* Added Privacy link in BuddyPress Settings profile menu
* CSS bug fixes

= 3.8.5 [Jun 08, 2015] =
* Fix upload URL in activity

= 3.8.4 [Jun 03, 2015] =
* Fix syntax error on Support Page

= 3.8.3 [Jun 03, 2015] =
* Fix encoding service issue

= 3.8.2 [Jun 03, 2015] =
* Updated Spanish, Korean, Portuguese and Danish translations
* Added Login popup for non logged in user on upload button
* Added quick edit/delete links on media gallery thumbs
* Updated [premium add-ons](https://rtmedia.io/blog/rtmedia-pro-splitting-major-change/) content for rtMedia
* Bug fixes

= 3.8.1 [May 18, 2015] =
* Fix license page
* Fix direct media upload in activity
* Fix BuddyPress group table error on rtMedia update

= 3.8 [May 18, 2015] =
* Removed ZURB Foundation
* Removed FontAwesome fonts and instead used WordPress Dashicons
* Template updates
* Admin settings UI changes
* Media gallery UI changes
* Direct media upload on file selection
* Bug fixes

= 3.7.44 =
* Fix create group album issue

= 3.7.43 =
* Update tested upto information

= 3.7.42 =
* Added rtmedia_get_media_description function
* js fix for uploader tabs
* Update support link and github link
* Fix multisite global album does not exist issue

= 3.7.41 =
* Fix album edit issue

= 3.7.40 =
* Security fix, thanks to [James Hooker](https://research.g0blin.co.uk/) for reporting

= 3.7.39 =
* Fix possible XSS vulnerability
* Update label for create album

= 3.7.38 =
* Update Danish translations and add Bulgarian translations
* Enable/disable encoding service
* Fix translation issue and update strings
* Fix default privacy issue
* Fix rtMedia lightbox get disabled after BuddyPress activity load more
* Template update

= 3.7.37 =
* Fix media meta table name in $wpdb
* Bug fixes

= 3.7.36 =
* Fix Media Url upload issue
* Fix delete attachment issue while reassigning user
* Add Social Sync in add-on list

= 3.7.35 =
* Fix JSON API parameters bug.

= 3.7.34 =
* Added tabs support in rtMedia uploader
* Fix activity upgrade
* Add klein theme in 3rd party theme list
* Fix uplaoder param in gallery shortcode database error
* Other bug fixes

= 3.7.33 =
* Fix media move in album edit
* JPEG image quality option
* Use WordPress' *_metadata functions for meta data
* Fix update activity after thumb set

= 3.7.32 =
* Update all translation files
* Update templates
* Fix media title issue
* Fix warnings

= 3.7.31 =
* Fix BuddyPress group media gets upload to user profile issue

= 3.7.30 =
* Change activity upload URL when activity component is enabled

= 3.7.29 =
* Fix BuddyPress activity upload URL

= 3.7.28 =
* Fixed activity upload issue when BuddyPress Multilingual plugin is active
* Update admin settings help text

= 3.7.27 =
* Fix warnings on BuddyPress activity page
* Show add-on purchase link only when add-on is not purchased
* More validations for admin settings
* Fix for translations

= 3.7.26 =
* Fix persian and swedish translations
* Update CSS and templates

= 3.7.25 =
* Update spainsh translations
* Added new function rtmedia_is_uploader_view_allowed
* Added dynamic activity actions rtMedia activities
* CSS and markup changes
* Bug fix for '\' in media title

= 3.7.24 =
* Bug fix for encoding service

= 3.7.23 =
* Fix group featured media
* Fix database warning on first time install

= 3.7.22 =
* Validate media before inserting

= 3.7.21 =
* Fixed group featured media

= 3.7.20 =
* Featured media option for group
* Track length for audio/video in media gallery
* Italian and Portuguese translation update
* Fix for JSON API
* Other bug fixes

= 3.7.19 =
* Security fix for template include

= 3.7.18 =
* Fix for template include for relative paths

= 3.7.17 =
* Removed unwanted database call on BuddyPress single activity page

= 3.7.16 =
* Fix scalar value warning

= 3.7.15 =
* Fix like button when comments are disabled
* Fix max regenerate video thumb admin setting
* masonry layout fixes
* Fix drag n drop in activity page when attachment for activity is disabled
* Added missing og:image property in single rtMedia BuddyPress activity
* Fix likes translated in SQL query
* Fix activity photo after media edit
* Added JS alert when uploading is in progress
* Added membership add-on information

= 3.7.14 =
* Fix media tab link shown to non members user of a private group
* Update Dutch, Japanese, French, Portuguese and Danish translations

= 3.7.13 =
* Fix rtMedia addon Buy Now url
* Updated CSS for rtMedia addon licenses

= 3.7.12 =
* Fix rename non-english characters to valid english characters for file upload
* Fix Add media button glitches in BuddyPress activity

= 3.7.11 =
* Fix BuddyPress load more issue

= 3.7.10 =
* Travis CI Config added
* Fix CSS for audio/video player
* Change uploader object initialization in rtMedia.backbone.js
* Fix media player issue in activity
* Added license tab for premium addons

= 3.7.9 =
* Added new database table to store activity privacy

= 3.7.8 =
* Fix video player issue in BuddyPress activity

= 3.7.7 =
* FontAwesome font load issue fix
* Update Swedish translations

= 3.7.6 =
* FontAwesome updated(v4.2.0)
* Added new filters
* Updated Swedish and Italian translations

= 3.7.5 =
* Bug fixes

= 3.7.4 =
* Update Spanish translation
* Bug fixes

= 3.7.3 =
* Change media title before upload
* New gallery shortcode attributes ( Enable/disable lightbox: lightbox = true/false, Show media title : media_title = true/false )
* Bug fixes

= 3.7.2 =
* Pagination option for media gallery
* show album name in single media view
* fix template if BuddyPress profile/group is disabled for rtMedia
* Per page (per_page) attribute in gallery shortcode

= 3.7.1 =
* Fix multiple file extension info in uploader
* Update CSS for masonry
* Added filters in query model
* Templates updated

= 3.7 =
* Masonry style cascading grid layout for media gallery
* Lightbox and swipe support for mobile devices
* UI bug fixes
* translation bug fix
* Added Norwegian translation(nb_NO)

= 3.6.15 =
* Fix activity issue in safari browser (For Mobile and Desktop)
* Romanian, Russian, French and Hungarian translation update
* Fix 404 page and nav menu issue when media disable for BuddyPress profile and group
* Added new hook in create album modal
* New js hooks in rtMedia's backbone js file
* Fix js error for upload type filter
* remove deprecated mime_type_content

= 3.6.14 =
* Fix BuddyPress privacy issue

= 3.6.13 =
* Media template update
* New hooks added
* Translation update
* Bug fixes

= 3.6.12 =
* Tested with WordPress 3.9 and BuddyPress 2.0

= 3.6.11 =
* Update Russian and Polish translations
* Bug fixes

= 3.6.10 =
* Update German and Swedish translations
* JS fix for WordPress 3.9 Beta
* Bug fixes

= 3.6.9 =
* Fix single activity video lightbox issue
* Update german translations

= 3.6.8 =
* Fix Regenerate Thumbnail plugin image sizes issue
* Update Spanish language files

= 3.6.7 =
* Update Spanish language files
* Bug fix for media single edit

= 3.6.6 =
* Fix audio/video js issue after activity update
* Fix activity after ajax load content
* Fix image edit issue
* Fix CSS issues

= 3.6.5 =
* rtMedia premium theme InspireBook 1.0 released

= 3.6.4 =
* Update German language files
* Bug fixes

= 3.6.3 =
* Fix lightbox issue after load more activity
* Update German and Russian language files
* Bug fixes

= 3.6.2 =
* Bug fixes

= 3.6.1.1 =
* Bug fixes

= 3.6.1 =
* Bug fixes

= 3.6 =
* rtMedia JSON API added
* Updated russian translations
* Bug fixes

= 3.5.2.1 =
* Admin UI bug fixes

= 3.5.2 =
* Updated dutch translation, thanks to [carry2web] (http://profiles.wordpress.org/carry2web)
* Enable / disable media per group
* User can specify media type to be upload in uploader shortcode
* Show content of single album using gallery shortcode
* Custom thumbnail for medias
* Bug fixes

= 3.5.1 =
* Fix for AudioPlayer under LightBox in WordPress TwentyFourteen Theme
* Fix for mobile uploads
* Album selection in media edit
* Bug fixes

= 3.5 =
* updated too foundation 5
* Bug Fixes

= 3.4.6 =
* Fix paging query and bug fixes

= 3.4.5 =
* Fix pagging query sql issues

= 3.4.4 =
* Update german translation
* Add support in some strings translations again thanks to [jonasnick](https://github.com/jonasnick) for pull request

= 3.4.3 =
* Bug fixes

= 3.4.2 =
* Bug fixes

= 3.4.1 =
* Bug fixes related to media privacy

= 3.4 =
* Separate media handling for group and profile
* Bug fixes

= 3.3 =
* Updated uploader with media delete functionality.
* Improved UI
* Bug fixes

= 3.2.13.1 =
* Update po files.

= 3.2.13 =
* Improved Lightbox UI.
* More enhanced Uploader with new features, better error handling and notification.
* Enhanced UI for media edit screen.
* Fixed 404 permalink issue.
* Bug fixes

= 3.2.12 =
* lib updated for magnific popup and media-element, bug fixes

= 3.2.11 =
* Updated Spanish translation, bug fixes

= 3.2.10.2 =
* Remove Unused file, remove wp_load and add admin_ajax

= 3.2.10.1 =
* Remove notices and update js libs

= 3.2.10 =
* Add support in some strings translations thanks to [rafaelfunchal](profiles.wordpress.org/rafaelfunchal) for pull request
* Bug Fixes

= 3.2.9 =
* Fix permalink issue in album gallery
* Bug Fixes

= 3.2.8 =
* Fix WordPress MultiSite issue.
* Shortcode invalid argument issue fix.

= 3.2.7 =
* Update readme
* Add support for simple file uploader in shortcode

= 3.2.6 =
* Updated dutch translation.
* Fixed WordPress template issue.


= 3.2.5 =
* Bug fixes

= 3.2.4 =
* Updated polish,solvak and spanish transalation.
* Fixed multiple gallery on same page,comment sync for single media in activity, comments visibility when not-logged in.
* Strings made translation ready

= 3.2.3 =
* Bug fixed for group avatar upload while creating a group in buddypress
* Fixed multisite

= 3.2.2 =
* Fixed header already sent issue

= 3.2.1 =
* Fixed activity issue

= 3.2 =
* UI Changes
* Cover art for music
* Used Font awesome for icon buttons

= 3.1.7 =
* Translatable message and button in activity stream and single media view thanks to [jonasnick](https://github.com/jonasnick)
* Limits items posted in activity feed thanks to [jarretc](https://github.com/jarretc)
* bug fixed for album deletion
* Fixed count issue on update

= 3.1.6 =
* Removed download button enable/disable settings
* Bug fixed for translation
* Added support for Playlists and its required filters

= 3.1.5 =
* Ignore privacy if admin user.
* Other minor issues.

= 3.1.4 =
* Fixed Trailing space issue.

= 3.1.3 =
* Fixed template issue (css).
* Add hooks and filters
* Other minor issues.

= 3.1.2 =
* Fixed template issue.
* Add activity update after updating video thumbs.
* Fixed encoding issue for sub directory.
* Fixed album count.
* Other minor issues.

= 3.1.1 =
* Add index for Activity query.
* Fixed activity and comment sync issue.
* Fixed shortcode issue.
* Fixed permalink for default album.
* Fixed media filename issue.
* Other minor issues.

= 3.1 =
* Add Thumbnail support in encoding.
* Add Regenerate thumbnail option for video.
* Add Change Video thumbnail for video in media edit screen (Admin & Frontend)
* Optimize SQL query & code for better performance .
* Fix uploader for IE and Opera.
* Fixed single media issue (add preload for video)
* Fixed Activity Privacy issue.
* Fixed Gallery shortcode issue.

= 3.0.13 =
* Add redirect in upload shortcode sponsored by [Henry Wright](http://profiles.wordpress.org/henrywright-1)
* Fixed getID3 issue for FFMPEG
* Add rtMedia JS hook for lightbox

= 3.0.12 =
* Fixed activity mention issue
* Fixed group avatar blank page issue
* Fixed encoding service free subscription issue
* Fixed featured video issue
* Fixed media player css issues
* Fixed permalink and count issue
* Update SEO for media
* Thanks to [kanakiyajay](http://profiles.wordpress.org/kanakiyajay) for replacing deprecated function split
* Other minor bug fixes

= 3.0.11 =
* Added profile picture along with the link back to the profile in the media pop ups ( sponsored by Richard Ellis )
* Fixed WordPress 3.6 attachment meta function issue & mediaElementJs
* Fixed Context Null issue in activity
* Fixed image size issue in gallery
* Fixed lightbox whitespace issue
* Fixed backbone paging on custom shortcode
* Other minor bug fixes

= 3.0.10 =
* Add Dashboard Widget
* Fix uploader for Mobile
* Other minor bug fixes

= 3.0.9 =
* Add Media Count
* Fixed Setting for Upload media
* Fixed Feature image issue
* Other minor bug fixes

= 3.0.8 =
* Fixed gallery and upload shortcode
* Fixed duplicate media in popup
* Fixed privacy user setting
* Fixed post parent issue and regenerate thumbnail issue

= 3.0.7 =
* Fixed rewrite rule issue
* Fixed comment issue on media
* Fixed hide activity on private group
* Fixed file format and mime type issue
* Fixed image size issue

= 3.0.6 =
* Fixed image size issue
* Fixed group create album permission and add setting for group admin
* Fixed Activity Delete issue
* Fixed Delete redirection
* Fixed template url issue for backbone
* Fixed photo tagging lightbox issue
* Other minor bug fixes

= 3.0.5 =
* Fixed privacy issue in media
* Fixed activity media upload issue
* Fixed encoding download issue
* Remove grid from gallery and activity for use defined size
* Fixed template issue
* Other minor bug fixes

= 3.0.4 =
* Handle delete media and activity
* Add like button count
* Hide buddypress tab if not active
* Fixed https problem in plugin update
* Fixed image size issue
* Fixed privacy issue
* Other minor bug fixes

= 3.0.3 =
* Improved template system
* Fixed bug with audio/video uploads
* Fixed bug with featured media
* Fixed activity duplication issue
* Other minor bug fixes

= 3.0.2 =
* Legacy code added for addon Updates
* Added album enable /disable option
* Fixed lightbox option
* Other minor bug fixes

= 3.0.1 =
* Legacy path support for addon Updates
* Added database check for migration
* Fixed a few errors

= 3.0 =
* Renamed to rtMedia for WordPress, BuddyPress and bbPress
* Adds Anywhere uploader
* Adds Anywhere media
* Author page integration (in the absence of BuddyPress)
* Fixes lightbox
* Fixes comments and media actions in the absence of activities

= 2.13.2 =
* Adds parameter to include/exclude media title in shortcode
* Resolved admin menu warnings for members

= 2.13.1 =
* Fixes bug in navigation
* Fixes bug in admin menu
* Resolves delete album issue (when activity is enabled)
* Adds option to disable encoding
* Translations Updated

= 2.13 =
* Adds support for audio/video conversion via rtCamp's Encoding Service

= 2.12.1 =
* Fixes bug in featured media that occurred when the featured media was deleted
* Optimises db queries for privacy

= 2.12 =
* Lets users add a featured image/video/audio for their profiles. Can be used to create "Cover Photos" or videos for each user using a template tag.
* Feature sponsored by [Henry Wright](http://profiles.wordpress.org/henrywright-1)

= 2.11 =
* Added media editing, deleting and other actions when activity stream is disabled
* Fixes comment posting on lightbox

= 2.10.3 =
* Removes lightbox from mobile devices
* Fixes a few bugs related to notifications

= 2.10.2 =
* Fixes a [bug in admin](https://github.com/rtCamp/rtmedia/issues/264)
* Fixes text-domain issues
* Adds framework for notifications
* Adds support for Tagging Addon
* Updated translations, especially German and Persian

= 2.10.1 =
* Fixes bug in shortcode

= 2.10 =
* Adds album management options (Merge/Move/Delete)
* Adds shortcode to display media [bpmedia]
* Adds localization to JS
* Added partial Arabic and Persian translations

= 2.9 =
* Adds options to specify Media Sizes
* Adds options to modify the image ( Crop, Rotate, Flip & Scale )
* Creates only required image sizes ( Rather than all registered image sizes )
* Adds thickbox to BuddyPress Media Widget
* Fixes bug in js
* Adds framework for shortcode support ( Functionality will be added in the next release )

= 2.8.1 =
* Improved i18n support, thanks to [David Decker](http://profiles.wordpress.org/daveshine/)
* Updated translations

= 2.8 =
* Adds importer for BP Album
* Tested with [reallifescrapped](http://reallifescrapped.com), an awesome social network for scrapbookers by [Meg](http://profiles.wordpress.org/oceanwidedesigns)
* Other minor bug fixes, especially for Groups

= 2.7.6 =
* Fixes errors due to absence of EXIF
* Fixes duplicate comment box on lightbox
* Fixes multimedia display on single media view
* Rewrites activity uploader to fix a lot of issues with themes

= 2.7.5 =
* Fixes image rotation for PHP < 5.3 that caused upload failure

= 2.7.4 =
* Added french translation
* Fixed Widget privacy

= 2.7.3 =
* Added option to toggle lightbox functionality to prevent theme conflicts
* Fixed conflict with bootstrap-based themes
* Minor code revision

= 2.7.2 =
* Fixes warning related to scalar variables
* Improves Group Wall Post handling
* Adds lightbox to activity media
* Fixes mediaelement display
* Implements forced download for media
* Fixes image rotation on upload
* Fixes broken spinner image
* Fixes some styling

= 2.7.1 =
* Fixes bug related to group ids.
* Fixes bug with stylesheet loading
* Adds ajax loader to lightbox
* Revamped uploader UI

= 2.7 =
* Added activity uploader
* Added lightbox
* Fixed bug in friends' privacy
* Fixed bug due to which edit/delete buttons would show up
* Refactored code and styling

= 2.6.7 =
* Fixes modular compatibility with friends component. Thanks to [Cat555](http://community.rtcamp.com/users/cat555/?utm_source=readme&utm_medium=plugin&utm_campaign=buddypress-media) for reporting this.
* Fixes modular compatibility with friends component.
* Fixes default privacy levels.
* Minor Admin UI revisions.
* Fixes load more on albums.

= 2.6.6 =
* Fixes automatic count update.
* Fixes other bugs in Privacy Update.

= 2.6.5 =
* Fixed all warnings and errors with 2.6 thanks to [dzapata79](http://wordpress.org/support/profile/dzapata79), [Scott](http://wordpress.org/support/profile/davidsons).
* Special thanks are due to [Stephan Oberlander](http://cg-creatives.com) who let us use his site for testing and reproducing the errors!

= 2.6.4 =
* Improved group compatibility

= 2.6.3 =
* Refactored database update checker to fix bugs

= 2.6.2 =
* Fixed database upgrade issues due to js and css caching

= 2.6.1 =
* Fixed warnings that appeared on non-upgrade of database.

= 2.6 =
* Added Privacy for Media.
* Added crude support for activity privacy (due for revision)
* Revised media count functionality
* Fixed widget to recognize enabled/disabled media types
* Renamed 'Featured' to 'Set as Album Cover' in the UI for clarity
* Fixed featured functionality
* Fixed download functionality
* Rewritten query functions
* Improved css and js
* Major code refactoring

= 2.5.5 =
* Fixes thumbnail appearance and height issues with some themes.
* Other minor UI changes

= 2.5.4 =
* Added option to enable/disable BuddyPress Media on Groups. (Profile toggle, coming soon)
* Added Polish language.
* Media tabs display now responds to admin settings
* Improved Uploader UI.
* Improved settings screen.
* More code comments and documentation added.
* Fixed gallery responsiveness.
* A few bug fixes.

= 2.5.3 =
* Added option to toggle BuddyPress Media menu in admin bar
* Added incomplete translations for German, Italian, French and Dutch languages
* A few bug fixes.

= 2.5.2 =
* Fixes warning on admin side.

= 2.5.1 =
* Fixed bug where when a user visits another member's media tab when groups are inactive, they'd get an error.
* Improved long album title and count display.

= 2.5 =
* Bug fixes for admin notices on multisite installs.
* Bug fixes for activity on multiple uploads.
* Updated upload UI. Now uploads are possible from all tabs.
* Fixed translation readiness.
* Added Brazilian Portuguese, Spanish and Japanese languages.
* Added Album renaming and deleting functionality.

= 2.4.3 =
* Fixed latest activity formatting.
* Added auto-update for add-ons.
* Made minor changes for add-on compatibility.

= 2.4.2 =
* Fixed bug where settings weren't getting saved on multisites.
* Workaround for bug where the last activity wouldn't show up.
* Fixed bug with iOS uploads.
* Some minor code changes

= 2.4.1 =
* New Widget added with more options!
* Fixed 'Show More' action on Group Album thanks to [bowoolley](http://profiles.wordpress.org/bowoolley/)
* Fixed conflicts with 'BuddyPress Activity Plus', thanks to [number_6](http://profiles.wordpress.org/number_6/) and [param-veer](https://github.com/param-veer)
* Some more housekeeping, code cleanup and documentation.

= 2.4 =
* Total code overhaul. Fixed a lot of bugs and optimised a lot of other code.
* Added proper translation support!
* Removed extra jQuery UI scripts and styles, for speed and optimisation

= 2.3.2 =
* Album creation on a single file upload. Thanks to [Josh Levinson](http://profiles.wordpress.org/joshlevinson/) for providing the fix.
* Fixed Version number constant.

= 2.3.1 =
* Default permission for album creation in groups set to admin.
* Fixed the warning on the "New Post" about the MYSQL query.

= 2.3 =
* Groups Media feature added
* Featured image selection in albums

= 2.2.8 =
* Fixed some screen functions

= 2.2.7 =
* Fixed the "Upgrade" button issue

= 2.2.6  =
* Fixed the Multisite issue for the options page.

= 2.2.5 =
* Fixed a bug in upgrade script

= 2.2.4 =
* Added support for media-count on albums
* fixes bbPress conflict in_array() expects parameter 2

= 2.2.3 =
* Added more verification to check whether the object being used is available or not.
* Added custom message on delete activity action.
* Modified the upgrade loop to handle the sites with large number of media files.

= 2.2.2 =
* Fixed the Notice that was generated on the albums page.

= 2.2.1 =
* Removed anonymous function since its not supported in PHP versions < 5.3

= 2.2 =
* Album Support for Users
* Ajaxified pagination to make it easy to view large albums.
* Multiple file uploads with progress bar
* Easy access to the backend admin-options
* Admin-option to disable download button below media files.

= 2.1.5 =
* Fixed the postmeta box bug

= 2.1.4 =
* Added video thumbnail support for addons.
* Updated the MediaElementJS player library.

= 2.1.3 =
* Fixed file uploading via iPhone.

= 2.1.2 =
* Changed some default values and normalized all files with end of file as line feed only

= 2.1.1 =
* Some changes in readme file

= 2.1 =
* Added necessary hooks & filters to support buddypress-media add-on creation.
* Support for video format added including *.avi, *.mkv, *.asf, *.flv, *.wmv, *.rm, *.mpg.
* Support for audio format added including *.mp3, *.ogg, *.wav, *.aac, *.m4a, *.wma.

= 2.0.4 =
* Added remaining modules of getID3 php library
* Added checking for MP3 filetype and its content before uploading

= 2.0.3 =
* Added a few filters and actions for addon support
* Fixed the short open tag bug

= 2.0.2 =
* Delete functionality fixed
* Edit functionality for Media Title and Media Description
* Admins can manage which media types to allow

= 2.0.1 =
* Replaced codec finding library
* Fixed warning on activities page

= 2.0 =
* Integration into BuddyPress Activities
* HTML5 Audio Tag Support (with fallback)
* HTML5 Video Tag Support (with fallback)
